Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Rhodey Class Reference

STK Fender Rhodes electric piano FM synthesis instrument. More...

`#include <Rhodey.h>`

Inheritance diagram for stk::Rhodey:

List of all members.

## Public Member Functions
| Rhodey (void)
| Class constructor.
| ~Rhodey (void)
| Class destructor.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK Fender Rhodes electric piano FM synthesis instrument.

This class implements two simple FM Pairs summed together, also referred to as algorithm 5 of the TX81Z.

        Algorithm 5 is :  4->3--\
                                 + --> Out
                          2->1--/

Control Change Numbers:

- Modulator Index One = 2
- Crossfade of Outputs = 4
- LFO Speed = 11
- LFO Depth = 1
- ADSR 2 & 4 Target = 128

The basic Chowning/Stanford FM patent expired in 1995, but there exist follow-on patents, mostly assigned to Yamaha. If you are of the type who should worry about this (making money) worry away.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Rhodey::Rhodey | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- Rhodey.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.